#include <bits/stdc++.h>

using namespace std;
long int n,m;
long int a[100002];
long long int s=0;
long long p;
int main()
{
    scanf("%ld%ld",&n,&m);
    for(long int i=1;i<n+1;i++)
    scanf("%ld",&a[i]);
    for(long int i=0;i<m;i++)
    {
        long int x,y;
        scanf("%ld%ld",&x,&y);
        p=0;
        p=(long long)(a[x]+a[y]);
        if(p>=0) s+=p;
        else s+=p*(-1);

    }
    printf("%lld",s);
    return 0;
}